Summary:        LiquidRescale library
Name:           liblqr-1
Version:        0.4.2
Release:        3%{?dist}
License:        GPLv3
URL:            http://liquidrescale.wikidot.com/
Source0:        http://liblqr.wikidot.com/local--files/en:download-page/%{name}-%{version}.tar.bz2

BuildRequires:  gcc glib2-devel make

%description
The LiquidRescale (lqr) library provides a C/C++ API for performing non-uniform resizing of images
by the seam-carving technique.

%package devel
Summary:        LiquidRescale library development kit
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel pkgconfig

%description devel
The libqr-devel package contains the header files needed to develop applications with liblqr

%prep
%autosetup -n %{name}-%{version} -p1

%build
export LDFLAGS="%{build_ldflags} `pkg-config --libs glib-2.0` -lm"
%configure
%make_build

%install
%make_install
find %{buildroot} -name \*.la -exec %{__rm} -f {} \;

%files
%license COPYING
%doc README ChangeLog
%{_libdir}/liblqr-1.so.0.3.2
%{_libdir}/liblqr-1.so.0

%files devel
%doc docs/liblqr_manual.docbook
%{_libdir}/liblqr-1.so
%{_includedir}/lqr-1/
%{_libdir}/pkgconfig/lqr-1.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 2 2023 Shuo Wang <abushwang@tencent.com> - 0.4.2-1
- initial build
